require_relative '../lib/image_builder/builders/aws_instance.rb'

describe ImageBuilder::Builders::AWS::Instance do
  before(:each) do
    @obj = ImageBuilder::Builders::AWS::Instance.new
  end

  it 'has the expected default block device mappings as a class attribute' do
    expected = [
      { device_name: '/dev/sdf', virtual_name: 'ephemeral0' },
      { device_name: '/dev/sdg', virtual_name: 'ephemeral1' },
      { device_name: '/dev/sdh', virtual_name: 'ephemeral2' },
      { device_name: '/dev/sdi', virtual_name: 'ephemeral3' }
    ]

    devs = ImageBuilder::Builders::AWS::Instance.default_block_device_mappings

    expect(devs).to eql expected
    expect(devs[1][:device_name]).to eql '/dev/sdg'
    expect(devs[1][:virtual_name]).to eql 'ephemeral1'
  end

  it 'has the correct packer type' do
    expect(@obj.type).to eql 'amazon-instance'
  end

  it 'implements packer_hash()' do
    expect(@obj.respond_to? :packer_hash).to be true
  end
end
