#This knife.rb rile is intended to be used with gem 'knife-block'
current_dir                      = File.dirname(__FILE__)
user                             = ENV['OPSCODE_USER'] || ENV['USER']
log_level               :info
log_location            STDOUT
node_name               user
client_key              "#{current_dir}/#{user}.pem"
validation_client_name  "chef-validator"
validation_key          "/dev/null"
chef_server_url         "https://chef.chefserver.com/"
cache_type              'BasicFile'
cache_options(:path => "#{current_dir}/checksums")
cookbook_path           ["#{current_dir}/../cookbooks", "~/chef/cookbooks"]

# all your credentials are belong to us
encrypted_data_bag_secret           ENV['ENCRYPTED_DATA_BAG_SECRET']
knife[:encrypted_data_bag_secret] = ENV['ENCRYPTED_DATA_BAG_SECRET']
knife[:secret_file] = ENV['ENCRYPTED_DATA_BAG_SECRET']

knife[:vault_mode] = 'client'

# Amazon Web Services
knife[:aws_access_key_id]         = ENV['AWS_ACCESS_KEY_ID']
knife[:aws_secret_access_key]     = ENV['AWS_SECRET_ACCESS_KEY']
knife[:aws_ssh_key_id]            = ENV['AWS_SSH_KEY_ID']

# HP Cloud Services
knife[:hp_account_id]             = ENV['HP_ACCOUNT_ID']
knife[:hp_secret_key]             = ENV['HP_SECRET_KEY']
knife[:hp_tenant_id]              = ENV['HP_TENANT_ID']

# OpenStack
knife[:openstack_username]        = ENV['OS_USERNAME']
knife[:openstack_password]        = ENV['OS_PASSWORD']
knife[:openstack_auth_url]        = ENV['OS_AUTH_URL']
knife[:openstack_tenant]          = ENV['OS_TENANT']

# Rackspace Cloud
knife[:rackspace_api_username]    = ENV['RACKSPACE_USERNAME']
knife[:rackspace_api_key]         = ENV['RACKSPACE_API_KEY']
